  pro grarraysnd80,nxdim,nydim,xdim,ydim,array,fileps,title,tdate,$
  polat,polon,rot,latmin,latmax,longmin,longmax,$
  nmult,icbar,levelsc,colc,clab,labelchr,cbartitle,$
  igrcity,citylat,citylon,citylabel,icolor,londel,latdel,ncbar,$
  nwrobs,lonwr,latwr,iqualwr,soundingwr,$
  x1a,x2a,y1a,y2a

; This is based on /ur/massie/oco2_2021/grarraysnd.pro

; **************************
  iout=20

; **************************
; create a .ps file
; set_plot, 'ps'
; device, /color, bits_per_pixel=8, file=fileps,$
;  /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; specify the color palette
; see pg 16-10 of the user's guide
    icolor=1
  if (icolor eq 1) then begin
   loadct, 26
;  loadct, 0
  endif
  if (icolor eq 0) then begin
   loadct, 0
  endif

; For bold type
; !P.font=0

; specify the character size for the labels
  csizet=1.5
  csizel=1.0

; have graphs plus the color bar 
; [ignore,horizontal,vertical]  
; !P.MULTI=[0,1,nmult]

  xm=4

; x1a=0.15
; y1a=0.40
; x2a=0.85
; y2a=0.80
; x1a=0.10
; y1a=0.40
; x2a=0.90
; y2a=0.80

; ****
; leaving out /iso will have a graph that is not squashed

; map_set, polat, polon, rot, /mercator, /continents,  $
  map_set, polat, polon, rot, /mercator, $
   limit=[latmin,longmin,latmax,longmax],$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   position=[x1a,y1a,x2a,y2a],$
   Title=title,charsize=csizet,/advance

  if (icolor eq 1) then begin
  contour, array, xdim, ydim, /cell_fill, /noerase, /overplot, $
   levels=levelsc,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   position=[x1a,y1a,x2a,y2a],$
   c_colors=colc,$
   c_labels=clab
  endif

  if (icolor eq 0) then begin
  contour, array, xdim, ydim, /cell_fill, /noerase, /overplot, $
   levels=levelsc,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   position=[x1a,y1a,x2a,y2a],$
   c_colors=colc,$
   c_labels=clab
  endif

; I don't understand why the offset
  if (igrcity eq 1) then begin
   c2=citylat-0.0
   xyouts,citylon,c2,citylabel,alignment=0.5,CHARSIZE=2.0,/DATA,$
   CHARTHICK=2.0
  endif

; map_continents,/continents,/countries,/usa,$
;  mlinethick=3.0

  diff1=longmax-longmin
  latlab1=longmin+(0.9*diff1)
  diff2=latmax-latmin
  latlab2=latmin+(0.1*diff2)

  map_grid,/label,charsize=csizel,$
    latalign=0.0,latdel=latdel,latlab=latlab1,$
    lonalign=0.5,londel=londel,lonlab=latlab2

; *****
; To do the colorbar put icolorbar=1
   if (icbar eq 1) then begin
;    ypos1=0.10
;   if (nmult eq 2) then ypos1=0.25
    ypos1=y1a-0.10
     iout=20
    xpos1=x1a
    xpos2=x2a
    cbar,ypos1,colc,cbartitle,tdate,labelchr,ncbar,xpos1,xpos2
   endif

; Add (a)
   labelval='(a)'
   x1val=x1a+(0.12*(x2a-x1a))
   y1val=y1a+(0.06*(y2a-y1a))
   xyouts,x1val,y1val,labelval,alignment=0.5,CHARSIZE=2.0,/NORMAL,$
   CHARTHICK=2.0


; *****
; Graph the locations of the soundings
    print,' nwrobs ',nwrobs
  for i=0,nwrobs-1 do begin
   x=lonwr(i)
   y=latwr(i)
;  1,2,3,4,5,6,7    +  *  . diamond triangle square X
   if (iqualwr(i) eq 0) then begin
    clr=60.0
    clr=0.0
    j=6
   endif
   if (iqualwr(i) eq 1) then begin
;   clr=250.0
    clr=100.0
    clr=0.0
    j=7
   endif
   plots,x,y,PSYM=j,SYMSIZE=2.0,THICK=3.0,COLOR=clr,/DATA
  endfor

; *****
; device, /close

; *****
  return
  end
