   pro taskfig11,iout,figsubsave,figsub,outwrsub

; Graph all 2 panels in figure 11

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure11.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure11'

; ******************************
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig11.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig11: i,files(i)'
   for i=0,1 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******************************
; Output ps file
   fileps=strcompress(figsub+'figure11.ps')

   print,'  fileps ',fileps

; ******************************
; Graph the data

; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; have 2 horizontal row and 2 columns on the same page
   !P.MULTI=[0,2,2]

; Load the bw table
   loadct,0

; Bold fonts
   !P.font=0

; ****
; Loop over the 2 panels
   for ngr=0,1 do begin

; **
    filnm=files(ngr)
    restore,filnm

; **
     nopr2=0
   graphlines141,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwords,xwords,ywords,wordc,$
   psymval,$
   csizelab

; **
    ihelp=0
   if (ihelp eq 1) then begin
    help,nlines
    help,npts
    help,nvec
    help,xvecn
    help,yvecn
    stop
; NLINES          INT       =        3
; NPTS            INT       =       39
; NVEC            INT       =       13
; XVECN           FLOAT     = Array[13, 3]
; YVECN           FLOAT     = Array[13, 3]
   endif

; **
   printf,idat,'  '
   printf,idat,'  ',title
   printf,idat,'  x ',labelx
   printf,idat,'  y ',labely
   printf,idat,'  Data variables,  panel'
   printf,idat,'  ',grwords
   printf,idat,'  i,xvecn(i,0),yvecn(i,0),yvecn(i,1),yvecn(i,2)'
   for i=0,nvec-1 do begin
    printf,idat,format='(2x,i3,4(1x,f10.4))',$
     i,xvecn(i,0),yvecn(i,0),yvecn(i,1),yvecn(i,2)
   endfor

; **
   endfor
; Loop over the 2 panels

; **
   device,/close
   print,fileps

; ******************************
; Close the output text file
  close,idat

; ******************************
   return
   end
