   pro taskfig04,iout,figsubsave,figsub,outwrsub

; Graph all 6 panels in figure 4

; ******
; Output text file
  fwr=strcompress(outwrsub+'figure04.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure04'

; ******
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig4.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig04: i,files(i)'
   for i=0,5 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******
; Labels for the 6 panels of the graph
   labels=strarr(nfiles)
   labels=['(a)','(b)','(c)','(d)','(e)','(f)']

; ******
; Output ps file
   fileps6=strcompress(figsub+'figure04.ps')

; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps6,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

   titleg=' '

; Work with all 6 panels
   !P.MULTI=[0,2,3]

; Load the color table
   loadct,26

; Bold fonts
   !P.font=0

; Loop over the 6 panels
   for ngr=0,5 do begin

; **
;  save,npts,xvec,yvec,veccolor,isymn,clrval,$
;  nlines,nvec,xvecn,yvecn,$
;  labelx,labely,title,$
;  xmin,xmax,ymin,ymax,$
;  x1a,y1a,x2a,y2a,$
;  ioplot,igraphpts,sizept,$
;  cs,cs2,cthick,$
;  ixlog,iylog,$
;  igrwords,ngrwords,grwords,xwords,ywords,wordc,$
;  file=fsaves(1)

; optical depth
    restore,files(ngr)

    printf,iout,'  '
    printf,iout,'  taskfig04: ngr ',ngr
    printf,iout,'  taskfig04: files(ngr)

   if (ngr eq 0) then begin
    x1a=0.15
    x2a=0.45
    y1a=0.72
    y2a=0.97
;   title='Gas Vert Optical Depth'
   endif

   if (ngr eq 1) then begin
    x1a=0.60
    x2a=0.90
    y1a=0.72
    y2a=0.97
;   title='SZA'
   endif

   if (ngr eq 2) then begin
    x1a=0.15
    x2a=0.45
    y1a=0.40
    y2a=0.65
;   title='Cloud Height'
   endif

   if (ngr eq 3) then begin
; surface reflectance
    x1a=0.60
    x2a=0.90
    y1a=0.40
    y2a=0.65
;   title='Surface Reflectance'
   endif

   if (ngr eq 4) then begin
; lwc
    x1a=0.15
    x2a=0.45
    y1a=0.08
    y2a=0.33
;   title='LWC'
   endif

   if (ngr eq 5) then begin
; aerosol composition
    x1a=0.60
    x2a=0.90
    y1a=0.08
    y2a=0.33
;   title='Aerosol Composition'
   endif

; ***
; add (a), (b), ..
     nopra=0
    task866add,nopra,iout,$
    nlines,labels,ngr,$
    x1a,y1a,x2a,y2a,$
    grwords,xwords,ywords,wordc,$
    igrwords,ngrwords,grwordsnew,xwordsnew,ywordsnew,wordcnew

; *****
   cs=1.2
   cs2=1.2

; Set y range to be the same in each panel
   ymin=0.75

; *****
     nopr2=0
   graphlines100,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwordsnew,xwordsnew,ywordsnew,wordcnew

  printf,idat,'  '
  printf,idat,'  ',title
  printf,idat,'  nlines ',nlines
  printf,idat,'  Data for,  panel '
  printf,idat,'  ',grwordsnew
  printf,idat,'  i, Distance from Cloud (km), 1D / 3D Intensity Ratios for nlines '
    vec=fltarr(nlines)
  for i=0,nvec-1 do begin
   for j=0,nlines-1 do begin
    vec(j)=yvecn(i,j)
   endfor
   printf,idat,format='(2x,i3,8(1x,f10.4))',$
    i,xvecn(i,0),vec
  endfor

   endfor
; loop over the ngr panels

; **
   device,/close
   print,fileps6

; ******************************
; Close the output text file
  close,idat

; ******************************
   return
   end
