   pro taskfig05,iout,figsubsave,figsub,outwrsub

; Graph all 3 panels in figure 5

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure05.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure05'

; ******************************
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig5.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig05: i,files(i)'
   for i=0,2 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******************************
; Output ps file
   fileps=strcompress(figsub+'figure05.ps')

   print,'  fileps ',fileps

; ******************************
; Graph the data in 3 panels

   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; Have 3 vertical panels side by side
   igraph3=1
  if (igraph3 eq 1) then begin
   !P.MULTI=[0,1,3]
  endif

; Load the color table
   loadct,26

; Bold fonts
   !P.font=0

; ******************************
; Loop over o2, wco2, sco2 bands
   ngr=3
  for ifile=0,ngr-1 do begin

; **
; Read in data farom the input savesets
   filnm=files(ifile)
   restore,filnm

; **
; Graph data for one panel
     nopr2=0
   graphlines12,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,numpts,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwords,xwords,ywords,wordc,$
   igrwords2,ngrwords2,grwords2,xwords2,ywords2,wordc2

; **
; Write out to output rext file
   printf,idat,'  '
   printf,idat,'  ',title
   printf,idat,'  nlines ',nlines
   printf,idat,'  Data for '
   printf,idat,'  ',grwords
   printf,idat,'  Data for panel ',grwords2
   printf,idat,'  i, Total Vertical Optical Depth, 100 (A-R(1D))/ R(1D) '
     vec=fltarr(nlines)
   for i=0,nvec-1 do begin
    for j=0,nlines-1 do begin
     vec(j)=yvecn(i,j)
    endfor
    printf,idat,format='(2x,i3,8(1x,f10.4))',$
     i,xvecn(i,0),vec
   endfor

  endfor
; Loop over ifile for  o2, wco2,sco2

  device,/close
  print,fileps

; ******************************
; Close the output text file
  close,idat

; ******************************
   return
   end
